com.oracle.truffle.api.object

## Class LayoutBuilder

- java.lang.Object
- - com.oracle.truffle.api.object.LayoutBuilder

    public class LayoutBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LayoutBuilder()`

### Method Summary

Methods
`Layout` `build()`
`java.util.EnumSet<Layout.ImplicitCast>` `getAllowedImplicitCasts()`
`NodeUtil.FieldOffsetProvider` `getFieldOffsetProvider()`
`LayoutBuilder` `setAllowedImplicitCasts(java.util.EnumSet<Layout.ImplicitCast> allowedImplicitCasts)`
`LayoutBuilder` `setFieldOffsetProvider(NodeUtil.FieldOffsetProvider fieldOffsetProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutBuilder

    public LayoutBuilder()

### Method Detail

#### build

    public Layout build()

#### setAllowedImplicitCasts

    public LayoutBuilder setAllowedImplicitCasts(java.util.EnumSet<Layout.ImplicitCast> allowedImplicitCasts)

#### setFieldOffsetProvider

    public LayoutBuilder setFieldOffsetProvider(NodeUtil.FieldOffsetProvider fieldOffsetProvider)

#### getAllowedImplicitCasts

    public java.util.EnumSet<Layout.ImplicitCast> getAllowedImplicitCasts()

#### getFieldOffsetProvider

    public NodeUtil.FieldOffsetProvider getFieldOffsetProvider()